RenewDelegationTokenResponsePBImpl (Apache Hadoop MapReduce Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.mapreduce.v2.api.protocolrecords.impl.pb, class: RenewDelegationTokenResponsePBImpl

Package org.apache.hadoop.mapreduce.v2.api.protocolrecords.impl.pb

# Class RenewDelegationTokenResponsePBImpl

java.lang.Object
org.apache.hadoop.yarn.api.records.impl.pb.ProtoBase<org.apache.hadoop.security.proto.SecurityProtos.RenewDelegationTokenResponseProto>
org.apache.hadoop.mapreduce.v2.api.protocolrecords.impl.pb.RenewDelegationTokenResponsePBImpl

All Implemented Interfaces:
  `RenewDelegationTokenResponse`

public class RenewDelegationTokenResponsePBImpl extends org.apache.hadoop.yarn.api.records.impl.pb.ProtoBase<org.apache.hadoop.security.proto.SecurityProtos.RenewDelegationTokenResponseProto> implements RenewDelegationTokenResponse

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RenewDelegationTokenResponsePBImpl()`
  `RenewDelegationTokenResponsePBImpl(org.apache.hadoop.security.proto.SecurityProtos.RenewDelegationTokenResponseProto proto)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `getNextExpirationTime()`
  `org.apache.hadoop.security.proto.SecurityProtos.RenewDelegationTokenResponseProto`
  `getProto()`
  `void`
  `setNextExpirationTime(long expTime)`

  ### Methods inherited from class org.apache.hadoop.yarn.api.records.impl.pb.ProtoBase

  `convertFromProtoFormat, convertToProtoFormat, equals, hashCode, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RenewDelegationTokenResponsePBImpl

    public RenewDelegationTokenResponsePBImpl()

  - ### RenewDelegationTokenResponsePBImpl

    public RenewDelegationTokenResponsePBImpl(org.apache.hadoop.security.proto.SecurityProtos.RenewDelegationTokenResponseProto proto)

- ## Method Details

  - ### getProto

    public org.apache.hadoop.security.proto.SecurityProtos.RenewDelegationTokenResponseProto getProto()
    Specified by:
      `getProto` in class `org.apache.hadoop.yarn.api.records.impl.pb.ProtoBase<org.apache.hadoop.security.proto.SecurityProtos.RenewDelegationTokenResponseProto>`

  - ### getNextExpirationTime

    public long getNextExpirationTime()
    Specified by:
      `getNextExpirationTime` in interface `RenewDelegationTokenResponse`

  - ### setNextExpirationTime

    public void setNextExpirationTime(long expTime)
    Specified by:
      `setNextExpirationTime` in interface `RenewDelegationTokenResponse`